Summary: Finds and transfers RPM files for a specified program.
Name: rpmfind
%define version 1.2
Version: %{version}
Release: 4
Group: Applications/System
Source: ftp://rufus.w3.org/pub/rpmfind/rpmfind-%{version}.tar.gz
Source1: rpmfind.conf
Patch0: rpmfind-1.2-rpm.patch
URL: http://rufus.w3.org/linux/rpm2html/rpmfind.html
Packager: Daniel Veillard <veillard@w3.org>
Copyright: W3C Copyright (BSD like).
BuildRoot: /var/tmp/%{name}-root

%description
Rpmfind will query the local RPM database, or will request the
associated RDF file for a program on a remote database, for
information on a specified program.  Specifically, rpmfind will tell
you what packages are needed to install the program to satisfy all
dependencies and the size of the packages (so you can estimate
download time).  Rpmfind can then even download the packages for you.

%prep
%setup -q
%patch0 -p1 -b .rpm

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=/etc

%configure --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

install -d ${RPM_BUILD_ROOT}%{_prefix}/bin
install -s rpmfind ${RPM_BUILD_ROOT}%{_prefix}/bin

install -d ${RPM_BUILD_ROOT}/etc
install -c %SOURCE1 ${RPM_BUILD_ROOT}/etc/rpmfind.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES BUGS Copyright README TODO 
%{_prefix}/bin/rpmfind
%config /etc/rpmfind.conf

%changelog
* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- default www.redhat.com/RDF config file (Adrian Likins).
- recompile with rpm-3.0.3-1.

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- move to Red Hat 6.1 distribution.

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2.

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
